PDA

View Full Version : Custom ISO on Kali Rolling



JonnyRobot
2016-07-09, 02:43
Hey all,

forgive me if this has been posted and answered, but I've been searching for a couple of days and cannot find an solution.

I'm trying to build a custom ISO (http://docs.kali.org/development/live-build-a-custom-kali-iso) of Kali Rolling (latest build) using the guides provided on this site. however, when I try to run the commands I'm getting a version error.

Does anyone have a work around to this, or updated instructions?

Thanks!

root@Ares:~/live-build-config# ./build.sh --distribution kali-rolling --verbose
ERROR: You need live-build (>= 1:20151215kali1), you have
root@Ares:~/live-build-config#


Seems that the error reports i have (blank) version. its not cut off, its just simply not returning.

Anyone have a work around?

Thanks!

JonnyRobot
2016-07-12, 18:45
So, I'm able to work around the version check by commenting out the lines in build.sh:

# Or we ensure we have proper version installed
ver_live_build=1:20151215kali1
if dpkg --compare-versions "$ver_live_build" lt 1:20151215kali1; then
echo "ERROR: You need live-build (>= 1:20151215kali1), you have $ver_live_build" >&2
exit 1
fi
if ! echo "$ver_live_build" | grep -q kali; then
echo "ERROR: You need a Kali patched live-build. Your current version: $ver_live_build" >&2
exit 1
fi


but now I have another issue. I'm not able to get the updated bootstrap so I fail with a different error:

root@Ares:~/live-build-config# ./build.sh
dpkg-query: no packages found matching debootstrap

I have added the Kali repo to the sources.list file:

root@Ares:~# cat /etc/apt/sources.list
#
# deb cdrom:[Debian GNU/Linux 2016.1 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160120-18:14]/ kali-rolling contrib main non-free
#deb cdrom:[Debian GNU/Linux 2016.1 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20160120-18:14]/ kali-rolling contrib main non-free
deb http://http.kali.org/kali kali-rolling main contrib non-free

and get the following error trying to run apt-get:

root@Ares:~# apt-get install curl git live-build cdebootstrap
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package live-build is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'live-build' has no installation candidate
E: Unable to locate package cdebootstrap


I have done some research and get the same error trying to get package "debootstrap" as well.

Thoughts? Any help? I'm trying to follow the instructions provided on the Kali site, but it seems either they are obsolete or the repository is not up to date.

Thanks!

billp
2016-08-11, 04:26
I am also trying to build a 'current ISO' for Kali.
I am using the instructions I found online.
apt-get -y install curl git live-build cdebootstrap
git clone git://git.kali.org/live-build-config.git
cd live-build-config
./build.sh --distribution kali-rolling --verbose

I notice that during the build there are some errors, for instance, after:

Adding new user 'dradis' (UID 135) with group 'dradis' ...
Creating home directory '/var/lib/dradis'
dpkg: error: --compare-versions takes three arguments: <version> <relation> <version>

The make seems to be successful. It builds an ISO (build completed about 10:20pm Central Time Aug 10)
I am able to build a bootable USB flash drive from the ISO
I can boot a into 'live' system mode, and things seem to run OK.
But if I try to do an install to hard disk (I have a 256GB SSD) it gets through 80% (as reported in standard install mode) and then reports that there is an error with the installation phase of the process.
I am not able to find any errors that tell me anything.

I did copy off the debug information to another USB drive.

I have tried both graphical and standard installation processes. I didn't see a way to install from 'live' mode or I would have tried that too.

billp
2016-08-11, 17:07
I built a new ISO a couple hours later and it installs with no problems. i don't know if it was a network glitch in the download or the packages at the time, but it is now working.

JonnyRobot
2016-08-16, 02:37
So I was able to get this working. It seems there are a couple of sets of instructions on this on Kali.org. The ones in the Kali Linux Dojo work fine.

Just in case any one else is having issues.